# flask-soc-site

This is a Python project to learn working with Flask. To make it useful for my day job as a security analyst, I turned it into a one-page website that can look up security-relevant data about hosts (IP addresses, fully qualified domain names, URLs and domains). Current features include: VirusTotal and AbuseIPDB-results, DMARC, DKIM and SPF information and registrar information.

![](./screenshots/30-01-2025.png)

## Todos
 - [ ] reorganize the SPF, DMARC and DKIM results (organize the SPF to match ['record'] with ['parsed']) 📧
 - [ ]  try to incorporate OTX Alienvault results (unfortunately the historical telemetry is not possible via the API...) 👽
 - [ ] start working again on the upload feature to analyze hosts in a text or csv file :paperclip:
 - [x] parse and display lookup results for multiple, differently typed and separated hosts (look at parsing in [gui-host-lookup](https://code.joostagterhoek.nl/joost/gui-host-lookup/)) :100:
- [ ] Make the foldable detail lines more useful and readable
- [ ] Update the (currently broken) lookup of URLs
- [ ] Differentiate both the lookup functions (the Host class initialization) and the result HTML/Jinja-pages on host type
